All Classes Namespaces Functions Variables Groups Pages
SqlUtil::AbstractFunctionBase Class Referenceabstract

base class for function or objects with code More...

Inheritance diagram for SqlUtil::AbstractFunctionBase:
[legend]

## Public Member Functions

| constructor (string n, string n_type, string n_src)
| creates the object from the arguments passed More...
bool | equal (AbstractFunctionBase t)
| returns True if the argument is equal to the current object, False if not
abstract private bool | equalImpl (AbstractFunctionBase t)
| returns True if the argument is equal to the current object, False if not
string | getDropSql ()
| returns a string that can be used to drop the function from the database
string | getType ()
| returns the type of object

## Public Attributes

string | name
| the name of the object
string | src
| the source of the object
string | type
| the type of object

## Detailed Description

base class for function or objects with code

## Member Function Documentation

SqlUtil::AbstractFunctionBase::constructor | ( | string | n,
|  | string | n_type,
|  | string | n_src
| ) |  |

creates the object from the arguments passed

Parameters

  n | the name of the object
  n_type | the type of object
  n_src | the source of the object